- Qt 5.3
- Qt QML
- C++ Classes
- QQmlPropertyValueSource
- Qt 5.3.2 Reference Documentation

# QQmlPropertyValueSource Class

The QQmlPropertyValueSource class is an interface for property value sources such as animations and bindings. More...

Header: | `#include <QQmlPropertyValueSource>`
qmake: | `QT += qml`

- List of all members, including inherited members

## Public Functions

| QQmlPropertyValueSource()
virtual | ~QQmlPropertyValueSource()
virtual void | setTarget(const QQmlProperty & property) = 0

## Detailed Description

The QQmlPropertyValueSource class is an interface for property value sources such as animations and bindings.

See Property Value Sources for information on writing custom property value sources.

## Member Function Documentation

### QQmlPropertyValueSource::QQmlPropertyValueSource()

Constructs a QQmlPropertyValueSource.

### QQmlPropertyValueSource::~QQmlPropertyValueSource()`[virtual]`

Destroys the value source.

### void QQmlPropertyValueSource::setTarget(const QQmlProperty & property)`[pure virtual]`

Set the target property for the value source. This method will be called by the QML engine when assigning a value source.